package test;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import java.io.File;
import org.w3c.dom.*;

public class TestDOM {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		
		File file = new File( "wypozyczalnia.xml" );
		Document doc = null;
		
		try {
            DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
            DocumentBuilder db = dbf.newDocumentBuilder();
            doc = db.parse( file );
        } catch ( java.io.IOException e ) {
            System.out.println( "Can't open the file" );
        } catch ( Exception e ) {
            System.out.print( "Can't parse the file." );
        }
        
        Element root = doc.getDocumentElement();
        System.out.println( "The root element: " + root.getNodeName() + "\n" );
						 
        NodeList children = root.getChildNodes();
        System.out.print( "There are "+children.getLength()+" child elements:\n" );

        for( Node child = root.getFirstChild(); child != null; child = child.getNextSibling() )
        {
        	System.out.print( "Element: " + child.getNodeName() );
            if ( child.getNodeType() == Node.TEXT_NODE ) {
            	System.out.print( " with text value: "+child.getNodeValue() );
            } else if ( child.getNodeType() == Node.ELEMENT_NODE ) {
                 System.out.print( " with element: " + child.getFirstChild().getNodeName() );	
            }
        }

	}

}
